org.apache.felix.gogo.jline

## Class Highlighter

- java.lang.Object
- - org.jline.reader.impl.DefaultHighlighter
  - - org.apache.felix.gogo.jline.Highlighter

All Implemented Interfaces:
  org.jline.reader.Highlighter

    public class Highlighter
    extends org.jline.reader.impl.DefaultHighlighter

### Field Summary

Fields
`static String` `DEFAULT_HIGHLIGHTER_COLORS`

### Constructor Summary

Constructors
Constructor and Description
`Highlighter(org.apache.felix.service.command.CommandSession session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.jline.utils.AttributedString` `highlight(org.jline.reader.LineReader reader, String buffer)`

### Methods inherited from class org.jline.reader.impl.DefaultHighlighter

`setErrorIndex, setErrorPattern`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_HIGHLIGHTER_COLORS

    public static final String DEFAULT_HIGHLIGHTER_COLORS

See Also:
  Constant Field Values

### Constructor Detail

#### Highlighter

    public Highlighter(org.apache.felix.service.command.CommandSession session)

### Method Detail

#### highlight

    public org.jline.utils.AttributedString highlight(org.jline.reader.LineReader reader,
                                                      String buffer)

Specified by:
  `highlight` in interface `org.jline.reader.Highlighter`
Overrides:
  `highlight` in class `org.jline.reader.impl.DefaultHighlighter`